[v1,Rp_000, Rs_000, Rp_4500, Rs_4500, Rp_0900, Rs_0900, Rp_09045, Rs_09045, Rp_909090, Rs_909090, Rp_909045, Rs_909045]=textread('em1_GF_run19.txt','%f %f %f %f %f %f %f %f %f %f %f %f %f','delimiter',',')
[v2,Rp_000_final, Rs_000_final, Rp_4500_final, Rs_4500_final, Rp_0900_final, Rs_0900_final, Rp_09045_final, Rs_09045_final, Rp_909090_final, Rs_909090_final, Rp_909045_final, Rs_909045_final]=textread('emf_GF_run19.txt','%f %f %f %f %f %f %f %f %f %f %f %f %f','delimiter',',')
[v3,n1,n2,n3,k1,k2,k3]=textread('nk_GemmyFeldspar_run19.txt','%f %f %f %f %f %f %f','delimiter',',')
% Plot R(p,s) 0 0 0, and R(p,s) 45 0 0
figure (1); clf;
subplot(2,2,1); hold on; plot(v1,Rp_000,'k-','LineWidth',2); plot(v1,Rp_000_final,'r--','LineWidth',3);
xlim([250 1200]);
ylim([0 .8]);
title('Rp 0 0 0');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,2); hold on; plot(v1,Rs_000,'k-','LineWidth',2); plot(v1,Rs_000_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 0 0 0');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,3); hold on; plot(v1,Rp_4500,'k-','LineWidth',2); plot(v1,Rp_4500_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rp 4500');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,4); hold on; plot(v1,Rs_4500,'k-','LineWidth',2); plot(v1,Rs_4500_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 4500');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;

% Plot R(p,s) 0 90 0, and R(p,s) 0 90 45
figure (2); clf;
subplot(2,2,1); hold on; plot(v1,Rp_0900,'k-','LineWidth',2); plot(v1,Rp_0900_final,'r--','LineWidth',3);
xlim([250 1200]);
ylim([0 .8]);
title('Rp 0900');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,2); hold on; plot(v1,Rs_0900,'k-','LineWidth',2); plot(v1,Rs_0900_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 0900');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,3); hold on; plot(v1,Rp_09045,'k-','LineWidth',2); plot(v1,Rp_09045_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rp 09045');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,4); hold on; plot(v1,Rs_09045,'k-','LineWidth',2); plot(v1,Rs_09045_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 09045');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;

% Plot R(p,s) 90 90 90, and R(p,s) 90 90 45
figure (3); clf;
subplot(2,2,1); hold on; plot(v1,Rp_909090,'k-','LineWidth',2); plot(v1,Rp_909090_final,'r--','LineWidth',3);
xlim([250 1200]);
ylim([0 .8]);
title('Rp 909090');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,2); hold on; plot(v1,Rs_909090,'k-','LineWidth',2); plot(v1,Rs_909090_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 909090');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,3); hold on; plot(v1,Rp_909045,'k-','LineWidth',2); plot(v1,Rp_909045_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rp 909045');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;
subplot(2,2,4); hold on; plot(v1,Rs_909045,'k-','LineWidth',2); plot(v1,Rs_909045_final,'r--','LineWidth',3); 
xlim([250 1200]);
ylim([0 .8]);
title('Rs 909045');
set(gca,'XDir','reverse')
ylabel('Reflectance')
xlabel('Wavenumber (cm^{-1})')
hold off;

Plot modeled n and k
figure(4); clf;
set(0,'defaultAxesColorOrder',[.5 0 .5;0 .5 .5;0 .44 .74]);
subplot(2,1,1); plot(v1,n1,v1,n2,v1,n3,'LineWidth',3.0);
xlim([300 2000]);
ylim([0 6]);
set(gca,'XDir','reverse')
ylabel('n1, n2, n3');
xlabel('Wavenumber (cm^{-1})','FontSize',14);
legend('n1','n2','n3',2);
subplot(2,1,2); semilogy(v1,abs(k1),v1,abs(k2),v1,abs(k3),'LineWidth',3.0);
xlim([300 2000]);
ylim([0 6]);
set(gca,'XDir','reverse')
ylabel('k1, k2, k3');
xlabel('Wavenumber (cm^{-1})','FontSize',14);
legend('k1','k2','k3',2);


