% [v1,Rp_000, Rs_000, Rp_4500, Rs_4500, Rp_0900, Rs_0900, Rp_09045, Rs_09045, Rp_909090, Rs_909090, Rp_909045, Rs_909045]=textread('em1_GF_run16.txt','%f %f %f %f %f %f %f %f %f %f %f %f %f','delimiter',',')
[v2,Rp_000_R18, Rs_000_R18, Rp_4500_R18, Rs_4500_R18, Rp_0900_R18, Rs_0900_R18, Rp_09045_R18, Rs_09045_R18, Rp_909090_R18, Rs_909090_R18, Rp_909045_R18, Rs_909045_R18]=textread('emf_GF_run16.txt','%f %f %f %f %f %f %f %f %f %f %f %f %f','delimiter',',')
%Plot R(p,s) 0 0 0
figure(1); clf;
hold on;
plot(v1,Rp_000,'k','LineWidth',2);
plot(v1,Rp_000_final,'r--','LineWidth',3);
plot(v1,Rp_000_final-Rp_000,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rp000');
legend('Observed Rp000','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(2); clf;
hold on;
plot(v1,Rs_000,'k','LineWidth',2);
plot(v1,Rs_000_final,'r--','LineWidth',3);
plot(v1,Rs_000_final-Rs_000,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rs000');
legend('Observed Rs000','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

%Plot R(p,s) 45 0 0
figure(3); clf;
hold on;
plot(v1,Rp_4500,'k','LineWidth',2);
plot(v1,Rp_4500_final,'r--','LineWidth',3);
plot(v1,Rp_4500_final-Rp_4500,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rp_4500');
legend('Observed Rp_4500','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(4); clf;
hold on;
plot(v1,Rs_4500,'k','LineWidth',2);
plot(v1,Rs_4500_final,'r--','LineWidth',3);
plot(v1,Rs_4500_final-Rs_4500,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rs_4500');
legend('Observed Rs_4500','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

%Plot R(p,s) 0 90 0
figure(5); clf;
hold on;
plot(v1,Rp_0900,'k','LineWidth',2);
plot(v1,Rp_0900_final,'r--','LineWidth',3);
plot(v1,Rp_0900_final-Rp_0900,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rp0900');
legend('Observed Rp0900','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(6); clf;
hold on;
plot(v1,Rs_0900,'k','LineWidth',2);
plot(v1,Rs_0900_final,'r--','LineWidth',3);
plot(v1,Rs_0900_final-Rs_0900,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rs0900');
legend('Observed Rs_0900','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

%Plot R(p,s) 0 90 45
figure(7); clf;
hold on;
plot(v1,Rp_09045,'k','LineWidth',2);
plot(v1,Rp_09045_final,'r--','LineWidth',3);
plot(v1,Rp_09045_final-Rp_09045,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rp09045');
legend('Observed Rp09045','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(8); clf;
hold on;
plot(v1,Rs_09045,'k','LineWidth',2);
plot(v1,Rs_09045_final,'r--','LineWidth',3);
set(gca,'XDir','reverse','FontSize',10)
title('Rs09045');
legend('Observed Rs09045','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

%Plot R(p,s) 90 90 90
figure(9); clf;
hold on;
plot(v1,Rp_909090,'k','LineWidth',2);
plot(v1,Rp_909090_final,'r--','LineWidth',3);
set(gca,'XDir','reverse','FontSize',10)
title('Rp909090');
legend('Observed Rp909090','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(10); clf;
hold on;
plot(v1,Rs_909090,'k','LineWidth',2);
plot(v1,Rs_909090_final,'r--','LineWidth',3);
plot(v1,Rs_909090_final-Rs_909090,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rs909090');
legend('Observed Rs909090','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

%Plot R(p,s) 90 90 45
figure(11); clf;
hold on;
plot(v1,Rp_909045,'k','LineWidth',2);
plot(v1,Rp_909045_final,'r--','LineWidth',3);
plot(v1,Rp_909045_final-Rp_909045,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rp909045');
legend('Observed Rp909045','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

figure(12); clf;
hold on;
plot(v1,Rs_909045,'k','LineWidth',2);
plot(v1,Rs_909045_final,'r--','LineWidth',3);
plot(v1,Rs_909045_final-Rs_909045,'b','LineWidth',1)
set(gca,'XDir','reverse','FontSize',10)
title('Rs909045');
legend('Observed Rs909045','Modeled','Location','Northwest');
ylabel('Reflectance','FontSize',12);
xlabel('Wavenumber (cm^{-1})','FontSize',12);
hold off;

% figure(13); clf;
% hold on;
% plot(v1,Rp_000,'k','LineWidth',2);
% plot(v1,Rs_000,'k','LineWidth',2);
% plot(v1,Rp_4500,'k','LineWidth',2);
% plot(v1,Rs_4500,'k','LineWidth',2);
% plot(v1,Rp_0900,'k','LineWidth',2);
% plot(v1,Rs_0900,'k','LineWidth',2);
% plot(v1,Rp_09045,'k','LineWidth',2);
% plot(v1,Rs_09045,'k','LineWidth',2);
% plot(v1,Rp_909090,'k','LineWidth',2);
% plot(v1,Rs_909090,'k','LineWidth',2);
% plot(v1,Rp_909045,'k','LineWidth',2);
% plot(v1,Rs_909045,'k','LineWidth',2);
% set(gca,'XDir','reverse','FontSize',10);
% ylabel('Reflectance','FontSize',12);
% xlabel('Wavenumber (cm^{-1})','FontSize',12);
% hold off;